Solid Edge FrameworkSupport Type Library
Style Property
Description
For collection objects, Body objects, RefPlane objects, Sketch objects, CoordinateSystem objects, CommandBarButton objects, SmartFrame2d objects, View objects, and TextCharStyle objects, Style is read-write. For all other objects, Style is read-only.
Property type
Read-write property
Syntax
Visual Basic
Public Property Style As DimensionStyle
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objBalloons As SolidEdgeFrameworkSupport.Balloons
    Dim objBStyle As SolidEdgeFrameworkSupport.DimensionStyle
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' getting the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    ' getting the Balloons collection object on the active sheet
    Set objBalloons = objSheet.Balloons
    ' adding a balloon on the active sheet
    Call objBalloons.Add(x1:=0.25, y1:=0.25, z1:=0)
    ' setting the Style of the Balloons collection object
    objBalloons.Style = objDoc.DimensionStyles(1)
    ' getting the style of the Balloons collection object
    Set objBStyle = objBalloons.Style
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objBalloons = Nothing
    Set objBStyle = Nothing
End Sub
See Also

Balloons Collection  | Balloons Members

Send comments on this topic.